Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Roughtime::Server_Information Struct Referencefinal

`#include <roughtime.h>`

## Public Member Functions
const std::vector< std::string > & | addresses () const
const std::string & | name () const
const Botan::Ed25519_PublicKey & | public_key () const
| Server_Information (const std::string &name, const Botan::Ed25519_PublicKey &public_key, const std::vector< std::string > &addresses)

## Detailed Description

Definition at line 141 of file roughtime.h.

## Constructor & Destructor Documentation

Botan::Roughtime::Server_Information::Server_Information | ( | const std::string & | name,
|  | const Botan::Ed25519_PublicKey & | public_key,
|  | const std::vector< std::string > & | addresses
| ) |  |
| inline

Definition at line 144 of file roughtime.h.

147 : m_name { name }
148 , m_public_key { public_key }
149 , m_addresses { addresses }
150 {}
Botan::Roughtime::Server_Information::addresses
const std::vector< std::string > & addresses() const
Definition: roughtime.h:153
Botan::Roughtime::Server_Information::name
const std::string & name() const
Definition: roughtime.h:151

## Member Function Documentation

const std::vector<std::string>& Botan::Roughtime::Server_Information::addresses | ( |  | ) | const
| inline

Definition at line 153 of file roughtime.h.

153 {return m_addresses;}

const std::string& Botan::Roughtime::Server_Information::name | ( |  | ) | const
| inline

Definition at line 151 of file roughtime.h.

References m_name.

151 {return m_name;}

const Botan::Ed25519_PublicKey& Botan::Roughtime::Server_Information::public_key | ( |  | ) | const
| inline

Definition at line 152 of file roughtime.h.

152 {return m_public_key;}

The documentation for this struct was generated from the following file:

- src/lib/misc/roughtime/roughtime.h